• 欢迎访问爱玩吧
  • 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏爱玩吧

【教程】Discuz!X2.5,3.0,3.1,3.2版出现不是正版插件解决方法

教程资源 aiwanyule 5年前 (2016-05-10) 775次浏览 已收录 0个评论

discuzX2.5 3.0版本:安装应用后台出现“对不起,您安装的不是正版应用..”的详细方法。

DZ增加了版本检测,在安装时,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示。

DZx2.5,DZx3.0解决方法:

找到以下文件:/source/function/function_cloudaddons.php

直接下载修改好的function_cloudaddons.php文件,并覆盖原有文件就OK了(文件请到文章底部下载)。

 


 

discuzX3.1版本:安装应用后台出现“对不起,您安装的不是正版应用..”的详细方法。

很多会员朋友在本网站下载好discuz 模板或者discuz插件上传到网站目录;在后台进行安装的时候会发现 “对不起,您安装的不是正版应用..”;这个问题一直困扰着很多喜欢经常换模板插件的站长。

“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的,找到以下文件:/source/function/function_cloudaddons.php

直接下载修改好的function_cloudaddons.php文件并覆盖原有文件。

那么就说说解决办法吧。

找到source/ function/ function_cloudaddons.php 文件夹,打开

搜索

cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));

大概是在99行左右

然后将他删除即可,或者注释掉

改为:

/*

        cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));

*/

这样就可以了,正常使用了。

下面为大家准备了懒人包,需要的同学直接下载修改好的function_cloudaddons.php文件,并覆盖原有文件就OK了(文件请到文章底部下载)。

 


 

discuzX3.2版本:安装应用后台出现“对不起,您安装的不是正版应用..”的详细方法。

破解Discuz!安装破解模版插件  提示  “对不起,您安装的不是正版应用,安装程序无法继续执行”

  1. 修改文件:论坛根目录\source\function里面的function_cloudaddons.php

  2. 编辑function_cloudaddons.php,查找代码:

  3. cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));
  4. 注释掉,X3.1及之前版本的大概在99行,X3.2版本的大概在97行,把这行修改为

  5. /*cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));*/
  6. 下面为大家准备了懒人包,需要的同学直接下载修改好的function_cloudaddons.php文件,并覆盖原有文件就OK了(文件请到文章底部下载)。


    Discuz!X2.5,3.0,3.1,3.2版出现不是正版插件解决方法文件:点击下载

  7. 201408141408025892123458.jpg


爱玩吧 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:【教程】Discuz!X2.5,3.0,3.1,3.2版出现不是正版插件解决方法
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址